function norm = XK_norm_intval(x, nu, K, N)

boundVect = intval(zeros(K+1, 1));

for j = 1:K+1
    thisVect = x((j-1)*(N+1)+1:j*(N+1));
    boundVect(j) = ellOneNorm_intval(thisVect, nu, N);
end

[m, I] = max(sup(boundVect));

norm = boundVect(I);