function Q = applyOperator_cosineTaylor_LT_intval(A, H, M, N);

Q = intval(zeros(N+1, M+1));

for m = 0:M
   thisComp = intval(zeros(N+1, 1));
   for j = 0:m
      thisComp = thisComp + A(:, :, m+1, j+1)*H(:, j+1); 
   end
   Q(:, m+1) = thisComp;
end

end

