function C = composeOperators_cosineTaylor_LT_intval(A, B, M, N);

C = intval(zeros(N+1, N+1, M+1, M+1));

for m = 0:M
    for j = 0:m
        thisMatrix = intval(zeros(N+1, N+1));
        for l = 0:m-j
            thisMatrix = thisMatrix + ...
                              A(:, :, m+1, j+l+1)*B(:, :, j+l+1, j+1);
        end
        C(:, :, m+1, j+1) = thisMatrix;
    end
end

end

