function H = solveOperatorEqn_cosineTaylor_LT(D, H, M, N);

H = zeros(N+1, N+1, M+1);

H(:, :, 1) = Q(:, :, 1);
H(:, :, 2) = Q(:, :, 2);

A0 = D(:, :, 1);
I = eye(N+1);

for m = 2:M
    B = zeros(N+1, N+1);
    for j = 0:m-1
        B = B + DFP(:, :, m-j+1)*H(:, :, j+1);
    end
    X = Q(:, :, m+1) + B;
    H(:, :, m+1) =  inv(A0)*X;
end







end