function E = kotEigMap_cos_intval(a, b, c, xi, lambda, s, mu, N)

DFa = kotSchafferDifferential_logistic_intval(a, b, c, mu, N);
E1 = intval(0);
for n = 0:N
   E1 = E1 + xi(n+1); 
end
E1 = s - E1;

E2 = DFa*xi - lambda*xi;

E = [E1;
     E2];

end