function Fa = kotSchaffer_logistic(a, b, c, mu, N)

Fa = zeros(N+1, 1);

a_squared = convolutionProductCos(a, a, N);
ca_squared = convolutionProductCos(c, a_squared, N);

for n = 0:N
    Fa(n+1) = mu*b(n+1)*a(n+1) - mu*b(n+1)*ca_squared(n+1);
end


end 

