function Y02 = KotParm_Y02_Bound(PMN, b, b_tail, c, c_tail, ...
                                 lambda, mu, nu, M, N)


b_big = intval(zeros(3*N+1, 1));
b_big(1:N+1) = b;
b_big(N+2:end) = b_tail(N+2:end);



c_big = intval(zeros(3*N+1, 1));
c_big(1:N+1) = c;

sum = intval(0);

for m = M+1:2*M
    m
    2*M
    
    lambdas = intval(ones(3*N+1, 1))*lambda^m;
    denom = abs(lambdas - mu*b_big);
    theCoeffs = b_big./denom;
    
    for j = 0:2*M-m
      
        P1 = intval(zeros(3*N+1,1));
        P2 = intval(zeros(3*N+1,1));
        
        P1(1:N+1) = PMN(:, M-j+1);
        P2(1:N+1) = PMN(:, m-M+j+1);
        P1P2 = convolutionProductCos_intval(P1, P2, 3*N);
        cP1P2 = convolutionProductCos_intval(c_big, P1P2, 3*N);
        
        thisSequence = abs(theCoeffs.*cP1P2);
        sum = sum + ellOneNorm_intval(thisSequence, nu, 3*N);
         
        %for n = 0:3*N
        %    thisCoeff = abs(b_big(n+1))/abs(abs(lambda)^m - mu*b_big(n+1));
        %    sum = sum + thisCoeff*abs(cP1P2(n+1))*nu^n;
        %end
    end
end

Y02 = 2*abs(mu)*sum;

end