function Y03 = KotParm_Y03_Bound_fast(PMN, b, b_tail, c, c_tail, ...
                                 lambda, mu, nu, M, N)


                                              
b_dual_norm = ellInfinityNorm_intval(b, nu, N); 
c_norm = ellOneNorm_intval(c, nu, N);
sum = intval(0);                             

for m = 2:M
    %m
    %M
    for j = 0:m
        P1_norm = ellOneNorm_intval(PMN(:, m-j+1), nu, N);
        P2_norm = ellOneNorm_intval(PMN(:, j+1), nu, N);
        
        denom = abs(lambda^m - mu*b_tail(N+2));
        sum = sum + b_dual_norm*c_norm*P1_norm*P2_norm/denom;
         
        
    end
end

Y03 = 2*abs(mu)*b_tail(N+2)*sum;

end