function Z11 = KotParm_Z11_Bound_fast(AMN, PMN, b, c, mu, nu, M, N)


R2_bounds = intval(zeros(N+1, M+1));

for m = 0:M
    R2_bounds(:, m+1) =  abs(b).*kappaBounds(c, PMN(:, m+1), nu, N);
end

errorVector = applyOperator_cosineTaylor_LT_intval(abs(AMN), R2_bounds, M, N);
Z11 =  2*abs(mu)*Xnorm_intval(errorVector, nu, M, N);


%sum = intval(0);
% 
% for m = 2:M
%     bigLoopZ11_m = m
%     of_M = M
%     current_Z11 = 4*abs(mu)*sum
%     for j = 0:m
%         for n = 0:N
%             for k = 0:N
%                 innerSum = intval(0);
%                 for l = 0:j
%                     innerSum = ...
%                         innerSum + Kappas1(k+1, j-l+1);
%                       %innerSum + Kappas1(k+1, j-l+1) + Kappas2(k+1, j-l+1); 
%                   
%                 end
%                 sum = sum + ...
%                   abs(AMN(n+1, k+1, m+1, j+1))*abs(b(k+1))*innerSum*nu^n;
%             end
%         end
%     end
% end
%
%Z11 = 4*abs(mu)*sum



end
