function Z11 = KotParm_Z11_Bound_vcr(AMN, PMN, b, c, mu, nu, M, N)

Kappas1 = intval(zeros(N+1, M+1));
Kappas2 = intval(zeros(N+1, M+1));
Kappatest = intval(zeros(N+1, M+1));


for m = 0:M
       
    c2N = intval(zeros(2*N+1,1));
    Pm2N = intval(zeros(2*N+1,1));
    c2N(1:N+1) = c;
    Pm2N(1:N+1) = PMN(:, m+1);
    cPm = convolutionProductCos_intval(c2N, Pm2N, 2*N);
tic,
    for k = 0:N
        m_count = m
        m_of = M
        kappaCount = k
        ofN = N
        theMax1 = intval(0);
        for j = N+1:2*N-k
            thisRatio = abs(cPm(j+k+1))/(2*nu^j);
            if sup(thisRatio) > sup(theMax1)
                theMax1 = thisRatio; 
            end
        end
        Kappas1(k+1, m+1) = theMax1;
   
        theMax2 = intval(0);
        for j = N+1:2*N+k
            thisRatio = abs(cPm(j-k+1))/(2*nu^j);
            if sup(thisRatio) > sup(theMax2)
                theMax2 = thisRatio; 
            end
        end
        
        Kappas2(k+1, m+1) = theMax2;
    end
time1 = toc
tic,
    Kappatest(:,m+1) = Z_1dualestimates(cPm(2:end),nu);
    time = toc
    check = Kappatest(:,m+1)-(Kappas1(:, m+1)+Kappas2(:, m+1))
end


sum = intval(0);

for m = 2:M
    bigLoopZ11_m = m
    of_M = M
    for j = 0:m
        for n = 0:N
            for k = 0:N
                innerSum = intval(0);
                for l = 0:j
                    innerSum + Kappas1(k+1, j-l+1) + Kappas2(k+1, j-l+1); 
                end
                sum = sum + ...
                  abs(AMN(n+1, k+1, m+1, j+1))*abs(b(k+1))*innerSum*nu^n;
            end
        end
    end
end

Z11 = 4*abs(mu)*sum



end