function DPhiH = PhiDifferentialAction_KotSchaffer(...
    PMN, H, M, N, p, lambda, xi, mu, b, c)

DPhiH = zeros(N+1, M+1);
DFP = kotSchafferDifferentialMap_P(PMN, M, N, mu, b, c);

DPhiH(:, 1) = H(:, 1);
DPhiH(:, 2) = H(:, 2);

for m = 2:M
    Q = zeros(N+1, 1);
    for j = 0:m
        Q = Q + DFP(:, :, m+1-j)*H(:, j+1);
    end
    DPhiH(:, m+1) =  (lambda^m)*H(:, m+1) - Q;
end

end