function DP_theta = evaluateUnstableManifoldDifferential_intval(...
                        theta, P, N, dimNum)
                    
for j = 2:N+1
    DP(:, j-1) = (j-1)*P(:, j);
end
                   
DP_theta = intval(zeros(dimNum, 1));
for j = 1:dimNum
    DP_theta(j) = horner(theta, DP(j,:), N-1);
end