function DFP = kotSchafferDifferentialMap_P(PMN, M, N, mu, b, c)

DFP = zeros(N+1, N+1, M+1);
C = convolutionMatrix_cos(c, N);

B = zeros(N+1, N+1);
for n = 0:N
   B(n+1, n+1) = b(n+1); 
end

DFP(:, :, 1) = mu*B-2*mu*B*C*convolutionMatrix_cos(PMN(:, 1), N);

for m = 1:M
    DFP(:, :, m+1) = -2*mu*B*C*convolutionMatrix_cos(PMN(:, m+1), N); 
end
