function DFP = kotSchafferDifferentialMap_P_intval_test(PMN, M, N, mu, b, c)



DFP = intval(zeros(N+1, N+1, M+1));

% C = convolutionMatrix_cos_intval(c, N);
% 
% B = intval(zeros(N+1, N+1));
% for n = 0:N
%    B(n+1, n+1) = b(n+1); 
% end


%DFP(:, :, 1) = mu*B-2*mu*B*C*convolutionMatrix_cos_intval(PMN(:, 1), N);


a = PMN(:, 1);
m=length(a);

i2=intval(2);

% We make sure that the inputs for FFT are powers of 2 %
m1=(2^ceil(log(4*m-1)/log(2))-4*m)/2;   % Hence 4*m+2*m1 is a power of 2 %



ta=[intval(zeros(m+m1+1,1));flip(a(2:m),1);a;intval(zeros(m+m1,1))];
tc=[intval(zeros(m+m1+1,1));flip(c(2:m),1);c;intval(zeros(m+m1,1))];

tu=verifyfft(ifftshift(ta),-1);
tv=verifyfft(ifftshift(tc),-1);

AC=fftshift(verifyfft(tu.*tv),1);

ac=real((4*m+2*m1)*AC(m1+m+2:m1+4*m-1));

DF_nonlinear=intval(zeros(m));

DF_nonlinear(:,1)=i2*ac(m:2*m-1);

k=(0:m-1)';

for ell=1:m-1
    DF_nonlinear(:,ell+1)=i2*(ac(k-ell+m)+ac(k+ell+m));
end 


DFP(:, :, 1) = mu*diag(b) - mu*diag(b)*DF_nonlinear;

for j = 1:M
    
    a = PMN(:, j+1);
    m=length(a);

    i2=intval(2);

    % We make sure that the inputs for FFT are powers of 2 %
    m1=(2^ceil(log(4*m-1)/log(2))-4*m)/2;   % Hence 4*m+2*m1 is a power of 2 %

    ta=[intval(zeros(m+m1+1,1));flip(a(2:m),1);a;intval(zeros(m+m1,1))];
    tc=[intval(zeros(m+m1+1,1));flip(c(2:m),1);c;intval(zeros(m+m1,1))];

    tu=verifyfft(ifftshift(ta),-1);
    tv=verifyfft(ifftshift(tc),-1);

    AC=fftshift(verifyfft(tu.*tv),1);

    ac=real((4*m+2*m1)*AC(m1+m+2:m1+4*m-1));

    DF_nonlinear=intval(zeros(m));

    DF_nonlinear(:,1)=i2*ac(m:2*m-1);

    k=(0:m-1)';

    for ell=1:m-1
        DF_nonlinear(:,ell+1)=i2*(ac(k-ell+m)+ac(k+ell+m));
    end 
    
    DFP(:, :, j+1) = -mu*diag(b)*DF_nonlinear;
    %DFP(:, :, m+1) = -2*mu*B*C*convolutionMatrix_cos_intval(PMN(:, m+1), N); 
end
