function kappas = kappaBounds(c, a, nu, N)

cN = intval(zeros(2*N+1,1));
aN = intval(zeros(2*N+1,1));
cN(1:N+1) = c;
aN(1:N+1) = a;
%cNaN = convolutionProductCos_intval(cN, aN, 2*N);
cNaN = int_quadratic_sumFFT(aN, cN);

kappa1 = intval(zeros(N+1, 1));
kappa2 = intval(zeros(N+1, 1));

for k = 0:N-1
   
   exponents = (N+1):(2*N-k);
   thisLength = size(exponents, 2);
   theVectSegment = abs(cNaN(N+1+k+1: N+1+k+thisLength))';
   
   theNu = intval(ones(1, thisLength))/nu;
   theNu = (theNu.^exponents)/intval(2);
   
   theRatios = theVectSegment.*theNu;  
   [thisMax, thisIndex] = max(sup(theRatios));
   kappa1(k+1) = theRatios(thisIndex);

   exponents = (N+1):(2*N+k);
   thisLength = size(exponents, 2);
   theVectSegment = abs(cNaN(N+1-k+1: N+1-k+thisLength))';
   
   theNu = intval(ones(1, thisLength))/nu;
   theNu = (theNu.^exponents)/intval(2);
   theRatios = theVectSegment.*theNu;
   
   [thisMax, thisIndex] = max(sup(theRatios));
   kappa2(k+1) = theRatios(thisIndex);


end


exponents = (N+1):(2*N+N);
thisLength = size(exponents, 2);
theVectSegment = abs(cNaN(N+1-N+1: N+1-N+thisLength))';
   
theNu = intval(ones(1, thisLength))/nu;
theNu = (theNu.^exponents)/intval(2);
   
theRatios = theVectSegment.*theNu;   
[thisMax, thisIndex] = max(sup(theRatios));
kappa2(N+1) = theRatios(thisIndex);

kappas = kappa1 + kappa2;



