function Y02 = KotParm_Y02_Bound_fast(PMN, b, b_tail, c, c_tail, ...
                                 lambda, mu, nu, M, N)
                             
                                               
b_dual_norm = ellInfinityNorm_intval(b, nu, N); 
c_norm = ellOneNorm_intval(c, nu, N);
sum = intval(0);

for m = M+1:2*M
    %m
    %2*M
        
    for j = 0:2*M-m
      
        P1_norm = ellOneNorm_intval(PMN(:, M-j+1), nu, N);
        P2_norm = ellOneNorm_intval(PMN(:, m-M+j+1), nu, N);
        
        denom = abs(lambda^m - mu*b_dual_norm);
        sum = sum + b_dual_norm*c_norm*P1_norm*P2_norm/denom;
         
        %for n = 0:3*N
        %    thisCoeff = abs(b_big(n+1))/abs(abs(lambda)^m - mu*b_big(n+1));
        %    sum = sum + thisCoeff*abs(cP1P2(n+1))*nu^n;
        %end
    end
end


Y02 = 2*abs(mu)*sum;                             
                             
                             

end                             
                             
                             
                             
                             