function Y03 = KotParm_Y03_Bound(PMN, b, b_tail, c, c_tail, ...
                                 lambda, mu, nu, M, N)


b_big = [b; b_tail];
sum = intval(0);


for m = 2:M
    for j = 0:m
      
        P1 = intval(zeros(3*N+1,1));
        P2 = intval(zeros(3*N+1,1));
        c_big = intval(zeros(3*N+1, 1));
        c_big(1:N+1) = c;
        P1(1:N+1) = PMN(:, m-j+1);
        P2(1:N+1) = PMN(:, j+1);
        P1P2 = convolutionProductCos_intval(P1, P2, 3*N);
        cP1P2 = convolutionProductCos_intval(c_big, P1P2, 3*N);
        for n = N+1:3*N
            thisCoeff = abs(b_big(n+1))/abs(abs(lambda)^m - mu*b_big(n+1));
            sum = sum + thisCoeff*abs(cP1P2(n+1))*nu^n;
        end
    end
end

Y03 = 2*abs(mu)*sum;

end