function AMN = PhiDifferentialInverse_KotSchaffer(...
    PMN, DFP, M, N, p, lambda, xi, mu, b, c)


AMN = zeros(N+1, N+1, M+1, M+1);
I = eye(N+1);


for m = 0:M
   thisRHS = zeros(N+1, N+1, M+1);
   thisRHS(:, :, m+1) = I;
   
   Am = PhiDifferentialSolveOperatorEqn_KotSchaffer(...
            PMN, DFP, thisRHS, M, N, p, lambda, xi, mu, b, c);
        
   AMN(:, :, :, m+1) = Am;
   
end



end