function DPhi = PhiDifferential_KotSchaffer(...
    PMN, M, N, p, lambda, xi, mu, b, c)

DPhi = zeros(N+1, N+1, M+1, M+1);
DFP = kotSchafferDifferentialMap_P(PMN, M, N, mu, b, c);

I = eye(N+1);
DPhi(:, :, 1, 1) = I;
DPhi(:, :, 2, 2) = I;


for m = 2:M
    
    for j = 0:m-1
       DPhi(:, :, m+1, j+1) = -DFP(:, :, m-j+1); 
    end
    DPhi(:, :, m+1, m+1) = (lambda^m)*I - DFP(:, :, 1);
end


end



