function DPhi = PhiDifferential_KotSchaffer_intval(...
    PMN, M, N, lambda, mu, b, c)

DPhi = intval(zeros(N+1, N+1, M+1, M+1));
DFP = kotSchafferDifferentialMap_P_intval(PMN, M, N, mu, b, c);
DFP_test = kotSchafferDifferentialMap_P_intval_test(PMN, M, N, mu, b, c);

% size(DFP)
% size(DFP_test)
% 
% error = max(max(max(sup(DFP - DFP_test))))
% 
% stopNow = stopHere


I = intval(eye(N+1));
DPhi(:, :, 1, 1) = I;
DPhi(:, :, 2, 2) = I;


for m = 2:M
    
    for j = 0:m-1
       DPhi(:, :, m+1, j+1) = -DFP(:, :, m-j+1); 
    end
    DPhi(:, :, m+1, m+1) = (lambda^m)*I - DFP(:, :, 1);
end


end