function Phi = Phi_KotSchaffer(PMN, M, N, p, lambda, xi, mu, b, c)

Phi = zeros(N+1, M+1);
FP = kotSchafferMap_P(PMN, M, N, mu, b, c);

Phi(:, 1) = PMN(:, 1) - p;
Phi(:, 2) = PMN(:, 2) - xi;

for m = 2:M
   Phi(:, m+1) = (lambda^m)*PMN(:, m+1) - FP(:, m+1); 
end

end


% Phi = zeros(N+1, M+1);
% FP = kotSchafferMap_P(PMN, M, N, nu, b, c);
% 
% Phi(:, 1) = PMN(:, 1) - p;
% Phi(:, 2) = PMN(:, 2) - xi;
% 
% for m = 2:M
%    Phi(:, m+1) = FP(:, m+1) - (lambda^m)*PMN(:, m+1); 
% end



