function Phi = Phi_KotSchaffer_intval(PMN, M, N, p, lambda, xi, mu, b, c)

Phi = intval(zeros(N+1, M+1));
FP = kotSchafferMap_P_intval(PMN, M, N, mu, b, c);

%testNum0 = size(FP)

Phi(:, 1) = PMN(:, 1) - p;
Phi(:, 2) = PMN(:, 2) - xi;

for m = 2:M

   % testNum1 = size(PMN(:, m+1))
   % testNum2 = size(FP(:, m+1))
     
    Phi(:, m+1) = (lambda^m)*PMN(:, m+1) - FP(:, m+1); 
end

end