function DP_theta = evaluateUnstableManifoldSecondDifferential_intval(...
                        theta, P, N, dimNum)
          
DP = intval(zeros(dimNum, N+1));                    
                    
for j = 0:N-2
    DP(:, j+1) = (j+2)*(j+1)*P(:, j+2+1);
end
                   
DP_theta = intval(zeros(dimNum, 1));
for j = 1:dimNum
    DP_theta(j) = horner(theta, DP(j,:), N-2);
end