function FP = kotSchafferMap_P(PMN, M, N, mu, b, c)

FP = zeros(N+1, M+1);
C = convolutionMatrix_cos(c, N);
B = zeros(N+1, N+1);
for n = 0:N
   B(n+1, n+1) = b(n+1); 
end

for m = 0:M
    Q = zeros(N+1, 1);
    for j = 0:m
       Q = Q + convolutionProductCos(PMN(:, m-j+1), PMN(:, j+1), N);
    end
    FP(:, m+1) = mu*B*PMN(:, m+1) - mu*B*C*Q;
end

