function C = convolutionMatrix_cosI(c, N)

%Considers the function P(a) = a*b with b thought of as constant
%and computes the matrix DP(a).

C1 = zeros(N+1,N+1);
C2 = zeros(N+1,N+1);
C1 = C1+diag(ones(N+1,1)*c(1));
for i=1:N
  C1 = C1+diag(c(i+1)*ones(N+1-i,1),i)+diag(c(i+1)*ones(N+1-i,1),-i);  
  C2(:,i+1) = [c(i+1:N+1);zeros(i,1)];  
end
C = C1 + C2;
end 