function norm = ellInfinityNorm_intval(a, nu, N)

%normEntries = intval(zeros(1, N+1));
%normEntries(1) = abs(a(1));
%
%for n = 1:N
%    normEntries(n+1) = abs(a(n+1))/(2*nu^n);
%end

normVector = intval(ones(1, N+1))/nu;
exponentVect = linspace(0, N, N+1);
normVector = normVector.^exponentVect;
normVector = normVector/2;
normVector(1) = 1;

normEntries = abs(a').*normVector;

[theMax, index] = max(sup(normEntries));
norm = normEntries(index);

end