function A_norm = ellNuOne_MatrixNorm(A, nu, N)


boundVector = zeros(1, N+1);

for n = 0:N
   thisRow = zeros(1, N+1);
   thisRow(1) = abs(A(n+1, 1));
   for k = 1:N
      thisRow(k+1) = abs(A(n+1, k+1))/(2*nu^k);
   end
   boundVector(n+1) = max(thisRow);
end

A_norm = ellOneNorm(boundVector, nu, N);

end 